<!doctype html>
	<!DOCTYPE html>
	<html>
	<head>
		<meta charset="utf-8">
		<title>Science and Engineering Code of Ethics and Professional Practice</title>
	</head>
	<body>
		<p1><i>Science and Engineering Ethics (2001) 7, 231-238</i></p1>
		<hr></hr>
		<h1>Software Engineering Code of Ethics and Professional Practice</h1>
		<h3>IEEE-CS/ACM Joint Task Foce on Software Engineering Ethics and Professional</h3>
		<h3>Practices</h3>
		<hr></hr>
		<p><b>Keywords</b>: code of ethics, professional responsibility, software engineering</p>
		<h3>PREAMBLE</h3>
		<p>The short version of the code summarizes aspirations at a high level of the abstraction. The clauses that<br>
		are included in the full version give examples and details of how these aspirations change the way we<br>
		act as software engineering professionals. Without the aspirations, the details can become legalistic<br>
		and tedious; without the details, the aspirations can become high sounding but empty; together, the<br>
		aspirations and the details form a cohesive code.
		<br><br>
		<p>Software engineers shall commit themselves to making the analysis, specification, design,<br>
		development, testing and maintenance of software a beneficial and respected profession. In<br>
		accordance with their commitment to the health, safety and welfare of the public, software<br>
		engineers shall adhere to the following eight Principles:</p>
		<h3>PRINCIPLES</h3>
		<ol>
			<li>PUBLIC – Software engineers shall act consistently with the public interest.</li>
			<li>
				<p>CLIENT AND EMPLOYER – Software engineers shall act in a manner that is in the best interests of their <br>
				client and employer consistent with the public interest.</p>
			</li>
			<li>
				<p>PRODUCT – Software engineers shall ensure that their products and related modifications meet the<br>
				highest professional standards possible.</p>
			</li>
			<li>
				<p>JUDGMENT – Software engineers shall maintain integrity and independence in their professional<br>
				judgment.</p>
			</li>
			<li>
				<p>MANAGEMENT – Software engineering managers and leaders shall subscribe to and promote an <br>
				ethical approach to the management of software development and maintenance.</p>
			</li>
			<li>
				<p>PROFESSION – Software engineers shall advance the integrity and reputation of the profession<br>
				consistent with the public interest.</p>
			</li>
			<li>COLLEAGUES – Software engineers shall be fair to and supportive of their colleagues.</li>
			<li>
				<p>SELF – Software engineers shall participate in lifelong learning regarding the practice of their <br>
				profession and shall promote an ethical approach to the practice of the profession.</p>
			</li>

		</ol>


	
	</body>
	</html>